ros-rolling-rviz-common (15.2.2-1noble) noble; urgency=high

  * Use rosdep keys that select Qt5 or Qt6 by platform (#1720 <https://github.com/ros2/rviz/issues/1720>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 24 Apr 2026 00:00:00 -0000

ros-rolling-rviz-common (15.2.1-1noble) noble; urgency=high

  * Compressed Image Display (#1288 <https://github.com/ros2/rviz//issues/1288>)
  * fix: Fixed compilation on MSVC 2022 (#1706 <https://github.com/ros2/rviz//issues/1706>)
  * Contributors: Janosch Machowinski, Matthew Foran

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 24 Apr 2026 00:00:00 -0000

ros-rolling-rviz-common (15.2.0-1noble) noble; urgency=high

  * Removed Qt6 warnings (#1704 <https://github.com/ros2/rviz/issues/1704>)
  * Fixed regresion is RHEL (#1703 <https://github.com/ros2/rviz/issues/1703>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 May 2026 00:00:00 -0000

ros-rolling-rviz-common (15.1.20-1noble) noble; urgency=high

  * Remove warnings (#1693 <https://github.com/ros2/rviz/issues/1693>)
  * Link against ``GTest::gmock`` target (#1699 <https://github.com/ros2/rviz/issues/1699>)
  * Reduce ``QFile`` dependency (#1652 <https://github.com/ros2/rviz/issues/1652>)
  * Contributors: Alejandro Hernández Cordero, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Apr 2026 00:00:00 -0000

ros-rolling-rviz-common (15.1.19-1noble) noble; urgency=high

  * Use new ROSIDL aggregate CMake target (#1688 <https://github.com/ros2/rviz/issues/1688>)
  * Fix Qt version resolution when both Qt5 and Qt6 are installed - CMake defaults to ascending resolution and Qt5 will be found when Qt6 is desired (Rolling, L-Turtle, and beyond). (#1689 <https://github.com/ros2/rviz/issues/1689>)
  * Cleanups in rviz_common (#1686 <https://github.com/ros2/rviz/issues/1686>)
  * Add tests for shallow and deep copy in Config (#1682 <https://github.com/ros2/rviz/issues/1682>)
  * Build performance optimizations for rviz_common (#1677 <https://github.com/ros2/rviz/issues/1677>)
  * Contributors: Alejandro Hernández Cordero, Emerson Knapp, Michael Carroll, Nathan Brooks, Oscmoar07

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 24 Mar 2026 00:00:00 -0000

ros-rolling-rviz-common (15.1.18-1noble) noble; urgency=high

  * Use get_package_share_path (#1671 <https://github.com/ros2/rviz/issues/1671>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 25 Feb 2026 00:00:00 -0000

ros-rolling-rviz-common (15.1.17-1noble) noble; urgency=high

  * Fix setHidden regression in PropertyTreeWidget (#1667 <https://github.com/ros2/rviz/issues/1667>)
  * Add topic name filtering when adding new visualizations (#1662 <https://github.com/ros2/rviz/issues/1662>)
  * use QPointer in QTimer::singleShot to prevent use-after-free (#1657 <https://github.com/ros2/rviz/issues/1657>)
  * Contributors: Mateusz Żak, Matteo Princisgh, t0k0shi

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 24 Feb 2026 00:00:00 -0000

ros-rolling-rviz-common (15.1.16-1noble) noble; urgency=high

  * Fix Not loading plugins due to incorrect package path (#1651 <https://github.com/ros2/rviz/issues/1651>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Jan 2026 00:00:00 -0000

ros-rolling-rviz-common (15.1.15-1noble) noble; urgency=high

  * Updated deprecated ament_index_cpp API (#1647 <https://github.com/ros2/rviz/issues/1647>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Dec 2025 00:00:00 -0000

ros-rolling-rviz-common (15.1.14-1noble) noble; urgency=high

  * Fix crash with no tools (#1639 <https://github.com/ros2/rviz/issues/1639>)
  * Use qt6 as the default dependency from rosdep (#1635 <https://github.com/ros2/rviz/issues/1635>)
  * Pointcloud2 display set QoS to best effort (#1621 <https://github.com/ros2/rviz/issues/1621>)
  * Contributors: Alejandro Hernández Cordero, David V. Lu!!

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 17 Dec 2025 00:00:00 -0000

ros-rolling-rviz-common (15.1.13-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Nov 2025 00:00:00 -0000

ros-rolling-rviz-common (15.1.12-1noble) noble; urgency=high

  * Cleanup deprecated code (#1619 <https://github.com/ros2/rviz//issues/1619>)
  * Removed support for yaml-cpp lower than 0.5 (#1605 <https://github.com/ros2/rviz//issues/1605>)
  * Removed duplicated forward class declaration (#1602 <https://github.com/ros2/rviz//issues/1602>)
  * resolved TODO in visualization manager (#1603 <https://github.com/ros2/rviz//issues/1603>)
  * Contributors: Alejandro Hernández Cordero, mini-1235

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 07 Nov 2025 00:00:00 -0000

ros-rolling-rviz-common (15.1.11-1noble) noble; urgency=high

  * Fix incorrect Qt signal connection in combo box (#1596 <https://github.com/ros2/rviz/issues/1596>)
  * Removed tinyxml2_vendor dependency (#1591 <https://github.com/ros2/rviz/issues/1591>)
  * Replace QRegExp with QRegularExpression to support Qt6 (#1592 <https://github.com/ros2/rviz/issues/1592>)
  * Contributors: Alejandro Hernández Cordero, mini-1235

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 20 Oct 2025 00:00:00 -0000

ros-rolling-rviz-common (15.1.10-1noble) noble; urgency=high

  * fix crash (#1587 <https://github.com/ros2/rviz/issues/1587>)
  * added option to change filemode (#1537 <https://github.com/ros2/rviz/issues/1537>)
  * Removed deprecation warning in tf2 (#1585 <https://github.com/ros2/rviz/issues/1585>)
  * Std chrono update in default plugins (#1579 <https://github.com/ros2/rviz/issues/1579>)
  * Contributors: Alejandro Hernández Cordero, Joshua Supratman, Mark Johnson, nelson

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 26 Sep 2025 00:00:00 -0000

ros-rolling-rviz-common (15.1.9-1noble) noble; urgency=high

  * Removed deprecations (#1556 <https://github.com/ros2/rviz/issues/1556>)
  * rviz common ros service property (#1548 <https://github.com/ros2/rviz/issues/1548>)
  * add ros action property (#1549 <https://github.com/ros2/rviz/issues/1549>)
  * Contributors: Alejandro Hernández Cordero, Joshua Supratman

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 04 Sep 2025 00:00:00 -0000

ros-rolling-rviz-common (15.1.8-1noble) noble; urgency=high

  * Deprecates update(float, float) methods and provides update(std::chrono::duration, std::chrono::duration) replacements. (#1533 <https://github.com/ros2/rviz//issues/1533>)
  * Contributors: Mark Johnson

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 22 Aug 2025 00:00:00 -0000

ros-rolling-rviz-common (15.1.7-1noble) noble; urgency=high

  * Replace deprecated tf2_ros headers (#1529 <https://github.com/ros2/rviz/issues/1529>)
  * Postpone hiding of properties until insertion into model is finished (#1508 <https://github.com/ros2/rviz/issues/1508>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 25 Jul 2025 00:00:00 -0000

ros-rolling-rviz-common (15.1.6-1noble) noble; urgency=high

  * Don't hide rows of properties not within the model (#1507 <https://github.com/ros2/rviz/issues/1507>)
  * Remove redundant check (#1506 <https://github.com/ros2/rviz/issues/1506>)
  * Fix panel deletion (#1037 <https://github.com/ros2/rviz/issues/1037>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Jul 2025 00:00:00 -0000

ros-rolling-rviz-common (15.1.5-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 27 Jun 2025 00:00:00 -0000

ros-rolling-rviz-common (15.1.4-1noble) noble; urgency=high

  * Config::mapGetBool causes segmentation fault when value_out is nullptr (#1471 <https://github.com/ros2/rviz/issues/1471>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 20 Jun 2025 00:00:00 -0000

ros-rolling-rviz-common (15.1.3-1noble) noble; urgency=high

  * feat: support both qt5 and qt6 (#1187 <https://github.com/ros2/rviz/issues/1187>)
  * Contributors: Daisuke Nishimatsu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 20 May 2025 00:00:00 -0000

ros-rolling-rviz-common (15.1.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 14 May 2025 00:00:00 -0000

ros-rolling-rviz-common (15.1.1-1noble) noble; urgency=high

  * Fixed crash when a resource is not available (#1455 <https://github.com/ros2/rviz/issues/1455>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 May 2025 00:00:00 -0000

ros-rolling-rviz-common (15.1.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 25 Apr 2025 00:00:00 -0000

ros-rolling-rviz-common (15.0.0-1noble) noble; urgency=high

  * Work in progress using the new resource retriever apis (#1262 <https://github.com/ros2/rviz/issues/1262>)
  * addTrackedObject Function Fails to Handle Null Pointer, Causing Crash When nullptr is Passed (#1375 <https://github.com/ros2/rviz/issues/1375>)
  * Add test to check mapGetString when key is missing (#1361 <https://github.com/ros2/rviz/issues/1361>)
  * UniformStringStream::parseFloat Fails to Handle Invalid Float Formats Correctly (#1360 <https://github.com/ros2/rviz/issues/1360>)
  * Fix Potential Null Pointer Dereference in VisualizerApp::getRenderWindow() to Prevent Crashes (#1359 <https://github.com/ros2/rviz/issues/1359>)
  * Extend support for type adaptation (REP 2007) in rviz_common for TF-filtered displays (#1346 <https://github.com/ros2/rviz/issues/1346>)
  * Contributors: Alejandro Hernández Cordero, Michael Carroll, Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 25 Apr 2025 00:00:00 -0000

ros-rolling-rviz-common (14.4.4-1noble) noble; urgency=high

  * Expose the possibility to create ROS node with custom NodeOptions (#1347 <https://github.com/ros2/rviz/issues/1347>)
  * Contributors: Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 20 Mar 2025 00:00:00 -0000

ros-rolling-rviz-common (14.4.3-1noble) noble; urgency=high

  * uniform CMAKE requirement (#1335 <https://github.com/ros2/rviz/issues/1335>)
  * Contributors: mosfet80

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Feb 2025 00:00:00 -0000

ros-rolling-rviz-common (14.4.2-1noble) noble; urgency=high

  * Add basic support for type adaptation (REP 2007) in rviz_common for displays (#1331 <https://github.com/ros2/rviz/issues/1331>)
  * Contributors: Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 31 Jan 2025 00:00:00 -0000

ros-rolling-rviz-common (14.4.1-1noble) noble; urgency=high

  * Fix preferred tools loading names (#1321 <https://github.com/ros2/rviz/issues/1321>)
  * Add RVIZ_COMMON_PUBLIC macro to ToolManager (#1323 <https://github.com/ros2/rviz/issues/1323>)
  * Clean visualization_manager.cpp (#1317 <https://github.com/ros2/rviz/issues/1317>)
  * Contributors: RaduPopescu, Silvio Traversaro, mosfet80

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 15 Jan 2025 00:00:00 -0000

ros-rolling-rviz-common (14.4.0-1noble) noble; urgency=high

  * Fix Deprecated tf2 headers (#1289 <https://github.com/ros2/rviz/issues/1289>)
  * Contributors: Lucas Wendland

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 20 Dec 2024 00:00:00 -0000

ros-rolling-rviz-common (14.3.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Nov 2024 00:00:00 -0000

ros-rolling-rviz-common (14.3.2-1noble) noble; urgency=high

  * include QString (#1298 <https://github.com/ros2/rviz/issues/1298>)
  * Contributors: Matthew Foran

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 20 Nov 2024 00:00:00 -0000

ros-rolling-rviz-common (14.3.1-1noble) noble; urgency=high

  * Handle time source exception (#1285 <https://github.com/ros2/rviz/issues/1285>)
  * Contributors: Matthew Foran

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 11 Oct 2024 00:00:00 -0000

ros-rolling-rviz-common (14.3.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 03 Oct 2024 00:00:00 -0000

ros-rolling-rviz-common (14.2.6-1noble) noble; urgency=high

  * Fully handle Tool::processKeyEvent return value (#1270 <https://github.com/ros2/rviz/issues/1270>)
  * Handle Tool::Finished returned by processKeyEvent (#1257 <https://github.com/ros2/rviz/issues/1257>)
  * Contributors: Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 28 Aug 2024 00:00:00 -0000

ros-rolling-rviz-common (14.2.5-1noble) noble; urgency=high

  * Added more time to copyright on Windwos (#1252 <https://github.com/ros2/rviz/issues/1252>)
  * Added common test for rviz_common (#1232 <https://github.com/ros2/rviz/issues/1232>)
  * Set ContentsMargins for RenderPanel to 0 to avoid borders in fullscreen mode. Fixes #1024 <https://github.com/ros2/rviz/issues/1024> (#1228 <https://github.com/ros2/rviz/issues/1228>)
  * Contributors: Alejandro Hernández Cordero, Bo Chen

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 29 Jul 2024 00:00:00 -0000

ros-rolling-rviz-common (14.2.4-1noble) noble; urgency=high

  * Updated deprecated message filter headers (#1239 <https://github.com/ros2/rviz/issues/1239>)
  * Correclty load icons of panels with whitespaces in their name (#1241 <https://github.com/ros2/rviz/issues/1241>)
  * Contributors: Alejandro Hernández Cordero, Patrick Roncagliolo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 19 Jul 2024 00:00:00 -0000

ros-rolling-rviz-common (14.2.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 Jun 2024 00:00:00 -0000

ros-rolling-rviz-common (14.2.2-1noble) noble; urgency=high

  * Prepping for qos deprecation (#1214 <https://github.com/ros2/rviz/issues/1214>)
  * Replace ESC shortcut for exiting full screen with solution from https://github.com/ros-visualization/rviz/pull/1416 (#1205 <https://github.com/ros2/rviz/issues/1205>)
  * Contributors: Lucas Wendland, Michael Ripperger

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 17 Jun 2024 00:00:00 -0000

ros-rolling-rviz-common (14.2.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 24 May 2024 00:00:00 -0000

ros-rolling-rviz-common (14.2.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 26 Apr 2024 00:00:00 -0000

ros-rolling-rviz-common (14.1.0-1noble) noble; urgency=high

  * Update to yaml-cpp 0.8.0 (#1183 <https://github.com/ros2/rviz/issues/1183>)
    yaml-cpp 0.8.0 has a proper CMake target, i.e. yaml-cpp::yaml-cpp.
    Use that here.
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 16 Apr 2024 00:00:00 -0000

ros-rolling-rviz-common (14.0.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 07 Apr 2024 00:00:00 -0000

ros-rolling-rviz-common (13.4.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 27 Mar 2024 00:00:00 -0000

ros-rolling-rviz-common (13.4.1-1noble) noble; urgency=high

  * Remove regex_filter_property.hpp from the moc lines. (#1172 <https://github.com/ros2/rviz/issues/1172>)
    Since it has no SLOTS or SIGNALS, we don't need to run
    MOC on it.  That will both speed up the compilation and
    remove a warning when building.
  * Added regex filter field for TF display (#1032 <https://github.com/ros2/rviz/issues/1032>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Mar 2024 00:00:00 -0000

ros-rolling-rviz-common (13.4.0-1noble) noble; urgency=high

  * Fix camera display overlay (#1151 <https://github.com/ros2/rviz/issues/1151>)
  * Fixes for uncrustify 0.78. (#1155 <https://github.com/ros2/rviz/issues/1155>)
    Mostly what we do here is to disable the indentation on
    certain constructs that are different between 0.72 and
    0.78.  It isn't my preferred solution, but since it only
    affects a small amount of code (and most of that in macros),
    this seems acceptable to me.
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 09 Mar 2024 00:00:00 -0000

ros-rolling-rviz-common (13.3.1-1noble) noble; urgency=high

  * Append measured subscription frequency to topic status (#1113 <https://github.com/ros2/rviz/issues/1113>)
  * Contributors: Yadu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 24 Jan 2024 00:00:00 -0000

ros-rolling-rviz-common (13.3.0-1noble) noble; urgency=high

  * Implement reset time service (#1109 <https://github.com/ros2/rviz/issues/1109>)
  * Add "R" key as shortcut for resetTime (#1088 <https://github.com/ros2/rviz/issues/1088>)
  * Add fullscreen startup option (#1097 <https://github.com/ros2/rviz/issues/1097>)
  * Switch to target_link_libraries. (#1098 <https://github.com/ros2/rviz/issues/1098>)
  * Initialize more of the visualization_manager members. (#1090 <https://github.com/ros2/rviz/issues/1090>)
  * Explicit time conversions and comparisons (#1087 <https://github.com/ros2/rviz/issues/1087>)
  * Rolling namespace in title (#1074 <https://github.com/ros2/rviz/issues/1074>)
  * Contributors: AiVerisimilitude, Chris Lalancette, Hyunseok, Markus Bader, Paul Erik Frivold

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-rolling-rviz-common (13.2.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 06 Nov 2023 00:00:00 -0000

ros-rolling-rviz-common (13.1.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 09 Oct 2023 00:00:00 -0000

ros-rolling-rviz-common (13.1.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 04 Oct 2023 00:00:00 -0000

ros-rolling-rviz-common (13.1.0-1noble) noble; urgency=high

  * Removed unused code (#1044 <https://github.com/ros2/rviz/issues/1044>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rviz-common (13.0.0-1noble) noble; urgency=high

  * Remove unused LineEditWithButton::simulateReturnPressed() (#1040 <https://github.com/ros2/rviz/issues/1040>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rviz-common (12.8.0-1noble) noble; urgency=high

  * Remove warning in depth_cloud_mld.cpp (#1021 <https://github.com/ros2/rviz/issues/1021>)
  * Added DepthCloud default plugin (#996 <https://github.com/ros2/rviz/issues/996>)
  * Stop inheriting from std::iterator. (#1013 <https://github.com/ros2/rviz/issues/1013>)
    In C++17, inheriting from std::iterator has been
    deprecated: https://www.fluentcpp.com/2018/05/08/std-iterator-deprecated/
    Here, switch away from inheriting and just define the
    interface ourselves (which is the current recommended best practice).
    This removes some warnings when building with gcc 13.1.1
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 27 Aug 2023 00:00:00 -0000

ros-rolling-rviz-common (12.7.0-1noble) noble; urgency=high

  * use static QCoreApplication::processEvents() function without a QApplication instance (#924 <https://github.com/ros2/rviz/issues/924>)
  * Re-implemented setName for tools (#989 <https://github.com/ros2/rviz/issues/989>)
  * Contributors: Felix Exner (fexner), Yannis Gerlach

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rviz-common (12.6.1-1noble) noble; urgency=high

  * Add a libqt5-svg dependency to rviz_common. (#992 <https://github.com/ros2/rviz/issues/992>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rviz-common (12.6.0-1noble) noble; urgency=high

  * Remove onHelpWiki. (#985 <https://github.com/ros2/rviz/issues/985>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rviz-common (12.5.1-1noble) noble; urgency=high

  * Clean Code (#975 <https://github.com/ros2/rviz/issues/975>)
  * Contributors: mosfet80

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rviz-common (12.5.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rviz-common (12.4.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rviz-common (12.3.2-1noble) noble; urgency=high

  * Update Frame shortcut (#958 <https://github.com/ros2/rviz/issues/958>)
    * Update Frame shortcut
  * Contributors: David V. Lu!!

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-rviz-common (12.3.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-rviz-common (12.3.0-1noble) noble; urgency=high

  * Update rviz to C++17. (#939 <https://github.com/ros2/rviz/issues/939>)
  * [rolling] Update maintainers - 2022-11-07 (#923 <https://github.com/ros2/rviz/issues/923>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rviz-common (12.2.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-rolling-rviz-common (12.1.0-1noble) noble; urgency=high

  * Remove YAML_CPP_DLL define (#831 <https://github.com/ros2/rviz/issues/831>)
  * Contributors: Akash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rviz-common (12.0.0-1noble) noble; urgency=high

  * Document getTransform() time behavior (#893 <https://github.com/ros2/rviz/issues/893>)
  * Ogre 1.12.10 upgrade (#878 <https://github.com/ros2/rviz/issues/878>)
  * Add RVIZ_COMMON_PUBLIC macro (#865 <https://github.com/ros2/rviz/issues/865>)
  * Contributors: Kenji Brameld, Shane Loretz, juchajam

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rviz-common (11.3.0-1noble) noble; urgency=high

  * Add time jump handler (#752 <https://github.com/ros2/rviz/issues/752>) (#791 <https://github.com/ros2/rviz/issues/791>)
  * Make sure not to dereference a null Renderable pointer. (#850 <https://github.com/ros2/rviz/issues/850>)
  * Contributors: Chris Lalancette, Marcel Zeilinger

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Apr 2022 00:00:00 -0000

ros-rolling-rviz-common (11.2.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-rviz-common (11.1.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-rviz-common (11.1.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Mar 2022 00:00:00 -0000

ros-rolling-rviz-common (11.0.0-1noble) noble; urgency=high

  * Add implementation for cancel interface (#809 <https://github.com/ros2/rviz/issues/809>)
  * Contributors: Chen Lihui

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rviz-common (10.0.0-1noble) noble; urgency=high

  * Install headers to include/${PROJECT_NAME} (#829 <https://github.com/ros2/rviz/issues/829>)
  * Remove definition of PLUGINLIB_DISABLE_BOOST. (#821 <https://github.com/ros2/rviz/issues/821>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 16 Feb 2022 00:00:00 -0000

ros-rolling-rviz-common (9.1.1-1noble) noble; urgency=high

  * Fix support for assimp 5.1.0 (#817 <https://github.com/ros2/rviz/issues/817>)
  * Contributors: Silvio Traversaro

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-rolling-rviz-common (9.1.0-1noble) noble; urgency=high

  * Fix cpplint errors (#818 <https://github.com/ros2/rviz/issues/818>)
  * Set message type for ros topic display (#800 <https://github.com/ros2/rviz/issues/800>)
  * Contributors: Daisuke Nishimatsu, Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-rviz-common (9.0.1-1noble) noble; urgency=high

  * Fixes for uncrustify 0.72 (#807 <https://github.com/ros2/rviz/issues/807>)
  * Do not block visualization manager updates when opening the display panel dialog (#795 <https://github.com/ros2/rviz/issues/795>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-rviz-common (9.0.0-1noble) noble; urgency=high

  * Switch to using Qt::MiddleButton for RViz. (#802 <https://github.com/ros2/rviz/issues/802>)
  * Removed traces in renderPanel (#777 <https://github.com/ros2/rviz/issues/777>)
  * move yaml_config_writer.hpp to public includes (#764 <https://github.com/ros2/rviz/issues/764>)
  * Update displays_panel.cpp (#745 <https://github.com/ros2/rviz/issues/745>)
  * Robot: Report mesh loading issues (#744 <https://github.com/ros2/rviz/issues/744>)
  * Exposed tool_manager header file. (#767 <https://github.com/ros2/rviz/issues/767>)
  * refactor: make const getter methods const (#756 <https://github.com/ros2/rviz/issues/756>)
  * Efficiently handle 3-bytes pixel formats (#743 <https://github.com/ros2/rviz/issues/743>)
  * Report sample lost events (#686 <https://github.com/ros2/rviz/issues/686>)
  * Contributors: ANDOU Tetsuo, Alejandro Hernández Cordero, Chris Lalancette, Gonzo, Joseph Schornak, davidorchansky

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-rolling-rviz-common (8.7.0-1noble) noble; urgency=high

  * Update window close icon (#734 <https://github.com/ros2/rviz/issues/734>)
  * Fix missing "X" icon in panel close button (#731 <https://github.com/ros2/rviz/issues/731>)
  * Add rviz_rendering dependency to rviz_common (#727 <https://github.com/ros2/rviz/issues/727>)
  * Remove the word "Alpha" from the splash screen. (#696 <https://github.com/ros2/rviz/issues/696>)
  * Removed some memory leaks in rviz_rendering and rviz_rendering_tests (#710 <https://github.com/ros2/rviz/issues/710>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Rebecca Butler

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 11 Aug 2021 00:00:00 -0000

ros-rolling-rviz-common (8.6.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 May 2021 00:00:00 -0000

ros-rolling-rviz-common (8.5.0-1noble) noble; urgency=high

  * Add visualization_frame to the public API (#660 <https://github.com/ros2/rviz/issues/660>)
  * Contributors: Jafar Abdi

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-rviz-common (8.4.0-1noble) noble; urgency=high

  * Add ViewPicker::get3DPatch to the public API (#657 <https://github.com/ros2/rviz/issues/657>)
  * Fix byte indexing for depth patch pixels (#661 <https://github.com/ros2/rviz/issues/661>)
  * fix toolbar vanishing when pressing escape (#656 <https://github.com/ros2/rviz/issues/656>)
  * Expose VisualizationManager and YamlConfigReader to the public API (#649 <https://github.com/ros2/rviz/issues/649>)
  * Use the stack for the classes in the property test. (#644 <https://github.com/ros2/rviz/issues/644>)
  * Contributors: Chris Lalancette, Joseph Schornak, ipa-fez

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-rviz-common (8.3.1-1noble) noble; urgency=high

  * Check that the views_man_ and views_man_->getCurrent() are not nullptr. (#634 <https://github.com/ros2/rviz/issues/634>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-rviz-common (8.3.0-1noble) noble; urgency=high

  * Fix for mousewheel to zoom in/out (#623 <https://github.com/ros2/rviz/issues/623>)
  * Ensure rviz_common::MessageFilterDisplay processes messages in the main thread (#620 <https://github.com/ros2/rviz/issues/620>)
  * Fix render window disppearing after saving image (#611 <https://github.com/ros2/rviz/issues/611>)
  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * TimePanel port (#599 <https://github.com/ros2/rviz/issues/599>)
  * Upgrade to tinyxml2 for rviz (#418 <https://github.com/ros2/rviz/issues/418>)
  * Fix segfault on changing filter size for non-existent topic (#597 <https://github.com/ros2/rviz/issues/597>)
  * improve color support for themes (#590 <https://github.com/ros2/rviz/issues/590>)
  * Fix topic IntProperty number ranges (#596 <https://github.com/ros2/rviz/issues/596>)
  * Switch to nullptr everywhere. (#592 <https://github.com/ros2/rviz/issues/592>)
  * Expose MessageFilterDisplay's queue size (#593 <https://github.com/ros2/rviz/issues/593>)
  * Filter topics in drop down menu (#591 <https://github.com/ros2/rviz/issues/591>)
  * rviz_common: Remove variadic macro warning check (#421 <https://github.com/ros2/rviz/issues/421>)
  * Use retriever.hpp (#589 <https://github.com/ros2/rviz/issues/589>)
  * Fix the order of destructors (#572 <https://github.com/ros2/rviz/issues/572>)
  * Contributors: Audrow Nash, Chen Lihui, Chris Lalancette, Jacob Perron, Martin Idel, Michael Ferguson, Michael Jeronimo, Michel Hidalgo, Nico Neumann, Rich Mattes, Shane Loretz, spiralray

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-rolling-rviz-common (8.2.0-1noble) noble; urgency=high

  * Changed to not install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Fixed alphabetical include order (#563 <https://github.com/ros2/rviz/issues/563>)
  * Changed to avoid trying to moc generate ``env_config.hpp`` file. (#550 <https://github.com/ros2/rviz/issues/550>)
  * Contributors: Chris Lalancette, Karsten Knese

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-rolling-rviz-common (8.1.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-rolling-rviz-common (8.1.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-rolling-rviz-common (8.0.3-1noble) noble; urgency=high

  * Fixed deprecated Qt usage. (#555 <https://github.com/ros2/rviz/issues/555>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-rolling-rviz-common (8.0.2-1noble) noble; urgency=high

  * Changed to use modern cmake style with pluginlib (#542 <https://github.com/ros2/rviz/issues/542>)
  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
  * Contributors: Chris Lalancette, Karsten Knese

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 21 May 2020 00:00:00 -0000

ros-rolling-rviz-common (8.0.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-rolling-rviz-common (8.0.0-1noble) noble; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Removed duplicate include dirs and link libraries. (#533 <https://github.com/ros2/rviz/issues/533>)
  * Added missing export of urdf. (#529 <https://github.com/ros2/rviz/issues/529>)
  * Made changes to avoid newly deprecated functions in rclcpp. (#528 <https://github.com/ros2/rviz/issues/528>)
  * Changed to use ``ament_export_targets()``. (#525 <https://github.com/ros2/rviz/issues/525>)
  * Updated deprecated enums in rviz_common. (#510 <https://github.com/ros2/rviz/issues/510>)
  * Solved a compiler warning in Ubuntu Focal. (#503 <https://github.com/ros2/rviz/issues/503>)
  * Removed an uncessary call to render scene. (#490 <https://github.com/ros2/rviz/issues/490>)
  * Made some code style changes. (#504 <https://github.com/ros2/rviz/issues/504>)
  * Fixed a bug encountered when included as a sub-project. (#475 <https://github.com/ros2/rviz/issues/475>)
  * Contributors: Dan Rose, Dirk Thomas, Ivan Santiago Paunovic, Jacob Perron, William Woodall, brawner

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 01 May 2020 00:00:00 -0000

ros-rolling-rviz-common (7.0.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-rolling-rviz-common (7.0.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-rviz-common (7.0.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-rolling-rviz-common (7.0.0-1noble) noble; urgency=high

  * Introduce QoS property (#409 <https://github.com/ros2/rviz/issues/409>)
    A container of properties related to QoS settings. Replaces queue size and unreliable properties.
  * Migrate InteractiveMarkerDisplay (#457 <https://github.com/ros2/rviz/issues/457>)
  * Rename 2d Nav Goal to 2d Goal Pose (#455)
    
    Rename nav pose tool to goal pose tool
    
    Rename topic for goal pose tool from "move_base_simple/goal" to "goal_pose"
  * Do not select interactive markers when mousing over them (#451 <https://github.com/ros2/rviz/issues/451>)
  * Migrate Interaction Tool (#423 <https://github.com/ros2/rviz/issues/423>)
  * Upgrade from Ogre 1.10 to Ogre 1.12.1 (#394 <https://github.com/ros2/rviz/issues/394>)
  * Re-enable use of tf message filter (#375 <https://github.com/ros2/rviz/issues/375>)
  * Static analysis cleanup for rviz_common (#431 <https://github.com/ros2/rviz/issues/431>)
  * Fix deprecation warnings with new Qt (#435 <https://github.com/ros2/rviz/issues/435>)
  * FrameTransformer implements tf2::BufferCoreInterface and tf2_ros::AsyncBufferInterface (#422 <https://github.com/ros2/rviz/issues/422>)
  * Use geometry_msgs types instead of custom types (#426 <https://github.com/ros2/rviz/issues/426>)
  * Remove -Werror from defualt compiler options (#420 <https://github.com/ros2/rviz/issues/420>)
  * Use node to create clock used to stamp publications (#407 <https://github.com/ros2/rviz/issues/407>)
  * Remove blank lines that latest uncrustify doesn't like (#411 <https://github.com/ros2/rviz/issues/411>)
  * Contributors: Emerson Knapp, Hunter L. Allen, Jacob Perron, Martin Idel, Scott K Logan, Shivesh Khaitan, Steven Macenski, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-rolling-rviz-common (6.1.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-rolling-rviz-common (6.1.0-1noble) noble; urgency=high

  * Updated to use the new specification for types from the ROS node graph API. (#387 <https://github.com/ros2/rviz/issues/387>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-rolling-rviz-common (6.0.0-1noble) noble; urgency=high

  * Made changes to avoid newly deprecated API's related to publishers and subscriptions. (#399 <https://github.com/ros2/rviz/issues/399>)
  * Updated to be compatible with new QoS settings.  (#392 <https://github.com/ros2/rviz/issues/392>)
  * Fixed a crash on shutdown by properly freeing the ``transformation_manager``. (#386 <https://github.com/ros2/rviz/issues/386>)
  * Contributors: M. M, Michael Jeronimo, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-rolling-rviz-common (5.1.0-1noble) noble; urgency=high

  * Fix errors from uncrustify v0.68 (#366 <https://github.com/ros2/rviz/issues/366>)
  * Contributors: Jacob Perron, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-rolling-rviz-common (5.0.0-1noble) noble; urgency=high

  * Moved rviz_yaml_cpp_vendor into it's own repo (#361 <https://github.com/ros2/rviz/issues/361>)
  * Exported libraries to trigger hooks. (#358 <https://github.com/ros2/rviz/issues/358>)
  * Added virtual destructors for WindowManagerInterface and ViewportProjectionFinder (#356 <https://github.com/ros2/rviz/issues/356>)
  * Changed to use spin_some with max_duration (#354 <https://github.com/ros2/rviz/issues/354>)
    * spin_once() limits the number of callbacks that can be called based on how quickly the gui updates.
    * This results in lag when displaying tf frames.
    * Use spin_some(max_duration) to execute all of the work available.
  * Made the transformation framework used by rviz pluggable. (#346 <https://github.com/ros2/rviz/issues/346>)
  * Fixed wrong name of InitialPose plugin in default config (#352 <https://github.com/ros2/rviz/issues/352>)
  * Added hotkeys (also to help) (#312 <https://github.com/ros2/rviz/issues/312>)
  * Migrated pose estimate tool (#329 <https://github.com/ros2/rviz/issues/329>)
  * Changed to now pass clock to tf2_ros::buffer (#340 <https://github.com/ros2/rviz/issues/340>)
  * Changted to always build all tests and skip execution if not supported (#342 <https://github.com/ros2/rviz/issues/342>)
  * Reverted workaround for identity transform after geometry2 fix (#343 <https://github.com/ros2/rviz/issues/343>)
  * Reverted "Add simple mechanism to automatically convert old configs" (#337 <https://github.com/ros2/rviz/issues/337>)
    * No longer necessary for C-Turtle
  * Minor cleanup and fixes (#336 <https://github.com/ros2/rviz/issues/336>)
    * Fix environment for colcon builds (no appends necessary)
    * Fix warning in visual_test_fixture.cpp and add -Werror option in CMakeLists.txt
    * Fix Qt moc warning for virtual signal
  * Fixed missing status in laser scan display (#335 <https://github.com/ros2/rviz/issues/335>)
    * Show status error when transform failed
    * Modify logging behaviour
  * Updates due to uncrustify 0.67 (#333 <https://github.com/ros2/rviz/issues/333>)
    * fix closing block and tamplete indentation to comply with uncrustify 0.67
    * add space between reference and variable name
    * space before opening bracket
    * fix indend of inherited class
    * fix indent of code blocks
    * no space around -> operator
    * restore original spacing
  * Contributors: Andreas Greimel, Kartik Mohta, Martin Idel, Michael Carroll, Mikael Arguedas, Shane Loretz, Steven! Ragnarök

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-rolling-rviz-common (4.0.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-rolling-rviz-common (4.0.0-1noble) noble; urgency=high

  * Polished selection behavior. (#315 <https://github.com/ros2/rviz/issues/315>)
  * Fixed invalid color profile in PNGs. (#306 <https://github.com/ros2/rviz/issues/306>)
  * Updated use of tf2 so that it reused the rviz node. (#290 <https://github.com/ros2/rviz/issues/290>)
  * Made the display status not editable. (#316 <https://github.com/ros2/rviz/issues/316>)
  * Fixed some bugs causing RViz to crash on macOS. (#319 <https://github.com/ros2/rviz/issues/319>)
  * Fixed a segfault that could occur on empty frames. (#313 <https://github.com/ros2/rviz/issues/313>)
  * Moved the selection icon to ``rviz_common``. (#314 <https://github.com/ros2/rviz/issues/314>)
  * Polished more tests and migrate or delete old tests. (#289 <https://github.com/ros2/rviz/issues/289>)
  * Migrated the map display. (#267 <https://github.com/ros2/rviz/issues/267>)
  * Migrated Marker Array Display. (#296 <https://github.com/ros2/rviz/issues/296>)
  * Migrated 2D Nav Goal tool. (#294 <https://github.com/ros2/rviz/issues/294>)
  * Fixed a memory leak in shutdown of ros client abstraction. (#301 <https://github.com/ros2/rviz/issues/301>)
  * Implemented a workaround for the missing identity transform when transforming from a frame to itself. (#298 <https://github.com/ros2/rviz/issues/298>)
  * Fixed the splash screen and help panel. (#277 <https://github.com/ros2/rviz/issues/277>)
  * Migrated the Odometry display. (#275 <https://github.com/ros2/rviz/issues/275>)
  * Homogenized behavior of rviz when a tf transform fails. (#292 <https://github.com/ros2/rviz/issues/292>)
  * Changed rviz so that only a single ros node is used. (#197 <https://github.com/ros2/rviz/issues/197>)
  * Migrated the XYOrbit View Controller. (#282 <https://github.com/ros2/rviz/issues/282>)
  * Fixed select and measure tool behavior on macOS Retina displays. (#283 <https://github.com/ros2/rviz/issues/283>)
  * Fixed a segfault in the selection manager tests. (#284 <https://github.com/ros2/rviz/issues/284>)
  * Fixed rviz application so it shows an icon on macOS's toolbar when running. (#272 <https://github.com/ros2/rviz/issues/272>)
  * Moved the ``rviz_common::Panel`` into a public header. (#265 <https://github.com/ros2/rviz/issues/265>)
  * Migrated the orthographic view controller. (#270 <https://github.com/ros2/rviz/issues/270>)
  * Restored most of the command line options for rviz. (#255 <https://github.com/ros2/rviz/issues/255>)
  * Migrated tool properties panel. (#251 <https://github.com/ros2/rviz/issues/251>)
  * Finished point cloud refactoring and testing. (#250 <https://github.com/ros2/rviz/issues/250>)
  * Migrated the select tool. (#256 <https://github.com/ros2/rviz/issues/256>)
  * Introduced visual testing framework for rviz. (#209 <https://github.com/ros2/rviz/issues/209>)
  * Fixed "display" tests and enable when the test environment allows. (#186 <https://github.com/ros2/rviz/issues/186>)
  * Restored use of icons throughout rviz. (#235 <https://github.com/ros2/rviz/issues/235>)
  * Migrated marker display. (#229 <https://github.com/ros2/rviz/issues/229>)
  * Changed the default position of the camera in RenderPanel. (#205 <https://github.com/ros2/rviz/issues/205>)
  * Migrated RobotModelDisplay. (#210 <https://github.com/ros2/rviz/issues/210>)
  * Fixed a possible null pointer is dereference. (#178 <https://github.com/ros2/rviz/issues/178>)
    * Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Migrated camera display (#183 <https://github.com/ros2/rviz/issues/183>)
  * Updated Ogre to 1.10.11 (#181 <https://github.com/ros2/rviz/issues/181>)
  * Migrated TF Display. (#182 <https://github.com/ros2/rviz/issues/182>)
  * Migrated ImageDisplay. (#164 <https://github.com/ros2/rviz/issues/164>)
  * Introduced ROS interface abstraction to improve testability. (#156 <https://github.com/ros2/rviz/issues/156>)
  * Re-enabled and fixed rviz configuration file loading. (#167 <https://github.com/ros2/rviz/issues/167>)
  * Fixed a bug caused by a missing break in switch statement. (#158 <https://github.com/ros2/rviz/issues/158>)
  * Migrated code for point cloud displays to ``rviz_default_plugins``. (#153 <https://github.com/ros2/rviz/issues/153>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Chris Ye, Dirk Thomas, Martin Idel, Mikael Arguedas, Steven! Ragnarök, Tim Rakowski, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 27 Jun 2018 00:00:00 -0000

ros-rolling-rviz-common (3.0.0-1noble) noble; urgency=high

  * Fixed compilation errors and runtime issues on Windows. (#175 <https://github.com/ros2/rviz/issues/175>)
  * Fixed an issue with docking windows initially.
  * Fixed a potential memory leak.
  * Fixed a bug which caused rviz to crash when removing a display. (#191 <https://github.com/ros2/rviz/issues/191>)
    * The crash occurred when adding a camera display and then deleting any display that was created before adding the camera display.
  * Contributors: Andreas Greimel, Andreas Holzner, Johannes Jeising, Martin Idel, Steven! Ragnarok, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 07 Feb 2018 00:00:00 -0000

ros-rolling-rviz-common (1.12.11-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Aug 2017 00:00:00 -0000

ros-rolling-rviz-common (1.12.10-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Jun 2017 17:37:00 -0000

ros-rolling-rviz-common (1.12.9-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Jun 2017 14:23:00 -0000

ros-rolling-rviz-common (1.12.8-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 07 May 2017 00:00:00 -0000

ros-rolling-rviz-common (1.12.7-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 05 May 2017 00:00:00 -0000

ros-rolling-rviz-common (1.12.6-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 May 2017 00:00:00 -0000

ros-rolling-rviz-common (1.12.5-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 01 May 2017 00:00:00 -0000

ros-rolling-rviz-common (1.12.4-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Oct 2016 00:00:00 -0000

ros-rolling-rviz-common (1.12.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 19 Oct 2016 00:00:00 -0000

ros-rolling-rviz-common (1.12.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Oct 2016 00:00:00 -0000

ros-rolling-rviz-common (1.12.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 20 Apr 2016 00:00:00 -0000

ros-rolling-rviz-common (1.12.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 11 Apr 2016 00:00:00 -0000

ros-rolling-rviz-common (1.11.14-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 03 Apr 2016 00:00:00 -0000

ros-rolling-rviz-common (1.11.13-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 23 Mar 2016 00:00:00 -0000

ros-rolling-rviz-common (1.11.12-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 22 Mar 2016 19:58:00 -0000

ros-rolling-rviz-common (1.11.11-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 22 Mar 2016 18:16:00 -0000

ros-rolling-rviz-common (1.11.10-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Oct 2015 00:00:00 -0000

ros-rolling-rviz-common (1.11.9-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Sep 2015 00:00:00 -0000

ros-rolling-rviz-common (1.11.8-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 Aug 2015 00:00:00 -0000

ros-rolling-rviz-common (1.11.7-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 02 Mar 2015 00:00:00 -0000

ros-rolling-rviz-common (1.11.6-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 13 Feb 2015 00:00:00 -0000

ros-rolling-rviz-common (1.11.5-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 11 Feb 2015 00:00:00 -0000

ros-rolling-rviz-common (1.11.4-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 30 Oct 2014 00:00:00 -0000

ros-rolling-rviz-common (1.11.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Jun 2014 00:00:00 -0000

ros-rolling-rviz-common (1.11.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 May 2014 00:00:00 -0000

ros-rolling-rviz-common (1.11.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 May 2014 00:00:00 -0000

ros-rolling-rviz-common (1.11.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 04 Mar 2014 21:40:00 -0000

ros-rolling-rviz-common (1.10.14-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 04 Mar 2014 21:35:00 -0000

ros-rolling-rviz-common (1.10.13-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Feb 2014 00:00:00 -0000

ros-rolling-rviz-common (1.10.12-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 Feb 2014 00:00:00 -0000

ros-rolling-rviz-common (1.10.11-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 26 Jan 2014 00:00:00 -0000

ros-rolling-rviz-common (1.10.10-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 22 Dec 2013 00:00:00 -0000

ros-rolling-rviz-common (1.10.9-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 15 Oct 2013 00:00:00 -0000

ros-rolling-rviz-common (1.10.7-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 16 Sep 2013 00:00:00 -0000

ros-rolling-rviz-common (1.10.6-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 03 Sep 2013 00:00:00 -0000

ros-rolling-rviz-common (1.10.5-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 28 Aug 2013 03:50:00 -0000

ros-rolling-rviz-common (1.10.4-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 28 Aug 2013 03:13:00 -0000

ros-rolling-rviz-common (1.10.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 14 Aug 2013 00:00:00 -0000

ros-rolling-rviz-common (1.10.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 26 Jul 2013 00:00:00 -0000

ros-rolling-rviz-common (1.10.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 16 Jul 2013 00:00:00 -0000

ros-rolling-rviz-common (1.10.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Jun 2013 00:00:00 -0000

ros-rolling-rviz-common (1.9.30-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 30 May 2013 00:00:00 -0000

ros-rolling-rviz-common (1.9.29-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Apr 2013 00:00:00 -0000

ros-rolling-rviz-common (1.9.27-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Mar 2013 13:23:00 -0000

ros-rolling-rviz-common (1.9.26-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Mar 2013 10:38:00 -0000

ros-rolling-rviz-common (1.9.25-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Mar 2013 00:00:00 -0000

ros-rolling-rviz-common (1.9.24-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 16 Feb 2013 00:00:00 -0000

ros-rolling-rviz-common (1.9.23-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 13 Feb 2013 00:00:00 -0000

ros-rolling-rviz-common (1.9.22-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 12 Feb 2013 16:30:00 -0000

ros-rolling-rviz-common (1.9.21-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 12 Feb 2013 14:00:00 -0000

ros-rolling-rviz-common (1.9.20-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Jan 2013 00:00:00 -0000

ros-rolling-rviz-common (1.9.19-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 13 Jan 2013 00:00:00 -0000

ros-rolling-rviz-common (1.9.18-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Dec 2012 00:00:00 -0000

ros-rolling-rviz-common (1.9.17-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Dec 2012 00:00:00 -0000

ros-rolling-rviz-common (1.9.16-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 14 Nov 2012 15:49:00 -0000

ros-rolling-rviz-common (1.9.15-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Nov 2012 00:00:00 -0000

ros-rolling-rviz-common (1.9.14-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 14 Nov 2012 02:20:00 -0000

ros-rolling-rviz-common (1.9.13-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 14 Nov 2012 00:58:00 -0000

ros-rolling-rviz-common (1.9.12-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Nov 2012 00:00:00 -0000

ros-rolling-rviz-common (1.9.11-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 02 Nov 2012 00:00:00 -0000

ros-rolling-rviz-common (1.9.10-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 Nov 2012 11:10:00 -0000

ros-rolling-rviz-common (1.9.9-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 Nov 2012 11:01:00 -0000

ros-rolling-rviz-common (1.9.8-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 Nov 2012 10:52:00 -0000

ros-rolling-rviz-common (1.9.7-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 01 Nov 2012 10:40:00 -0000

ros-rolling-rviz-common (1.9.6-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 31 Oct 2012 00:00:00 -0000

ros-rolling-rviz-common (1.9.5-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 19 Oct 2012 00:00:00 -0000

ros-rolling-rviz-common (1.9.4-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Oct 2012 15:00:00 -0000

ros-rolling-rviz-common (1.9.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Oct 2012 10:41:00 -0000

ros-rolling-rviz-common (1.9.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 12 Oct 2012 13:38:00 -0000

ros-rolling-rviz-common (1.9.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 12 Oct 2012 11:57:00 -0000

ros-rolling-rviz-common (1.9.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 10 Oct 2012 00:00:00 -0000


